---
{}
---
# Hardware
- Display Resolution: 192x160
	- potentially just upscaled from 96x80
	- at 3x scaling that's 576x480, 32px pillarboxes if 640x480
	- 384x320 
- how small can the screen physically be?
	- android guidelines say 48dp @ 160dpi or 0.3"
		- android guidelines also say 48dp is about 9mm so who the fuck knows anymore 
	- apple says 44pt ~~or 44/72" or 0.61"~~
		- 44pt is 44px, 88px, 132px depending on device
		- 132px on iPhone X @ 448(?)dpi so ~ 0.294"
	- 192x160 is 1.2"x1"
	- 640x480 is 4"x5" for a 6.4" diagonal
	- 28.8" x  24" needed to meet android accessibility guidelines jfc
	- tl;dr: Apple and Google seem to want about 0.3"per target 
	- NDS screen size is 106.666 dpi
		- poketch would be 1.8x1.5"
		- **640x480 would be 2x1.5" or 2.5" diagonal**
	- https://www.adafruit.com/product/2478 should do the trick
		- 320x240 2.4" 
		- we use 288x240 (1.5x)

- 2 Bit grayscale
- Touch screen 
- 5:4 aspect ratio
- 1/2 physical buttons
# etc
- will need a font 
	- sprite based?
	- ttf based?
	- https://lvgl.io/tools/fontconverter
# stretch goals
- use wifi/ble
	- config applet
	- also would handle right vs left handed
- mqtt/ntfy.sh
	- display notifications using margins?
- android notifications sync
	- requires adding to gadgetbridge long term
- pedometer
	- needs extra hardware

# Sprites
- [x] Digital Watch
- [x] Calculator
- [ ] Memo Pad
- [x] Pedometer
- [x] Pokemon List
- [x] Friendship Checker
- [ ] Dowsing Machine
- [x] Berry Searcher
- [ ] Day-Care Checker
- [ ] Pokemon History
- [ ] Counter
- [x] Analog Watch
- [x] Marking Map
- [x] Link Searcher
- [ ] Coin Toss
- [ ] Move Tester
- [ ] Calendar
- [ ] Dot Artist
- [x] Roulette
- [ ] Chain Counter
- [x] Kitchen Timer
- [ ] Color Changer
- [ ] Matchup Checker
- [ ] Stopwatch
- [ ] Alarm Clock
